summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbartus2021-04-14 09:25:44 +0200
committerbartus2021-04-14 09:25:44 +0200
commit8abb01ac31296533af28893098ee1a59de04ef93 (patch)
tree43fcbd49e4b37060c65bae997bdb07e2c7b4ad8e
parent243913721a4d22ba2c7cf24045362618c3abaa74 (diff)
downloadaur-8abb01ac31296533af28893098ee1a59de04ef93.tar.gz
Update usd v21.02
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD6
-rw-r--r--usd_python.patch2
3 files changed, 6 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index c87bc423b7a..be60c8f2eef 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -36,7 +36,7 @@ pkgbase = blender-git
depends = libpng
optdepends = cuda: CUDA support in Cycles
optdepends = optix=7.1.0: OptiX support in Cycles
- optdepends = usd=20.05: USD export Scene
+ optdepends = usd=21.02: USD export Scene
optdepends = openimagedenoise: Intel Open Image Denoise support in compositing
provides = blender
conflicts = blender
@@ -52,7 +52,7 @@ pkgbase = blender-git
sha256sums = SKIP
sha256sums = SKIP
sha256sums = SKIP
- sha256sums = 12bd6db5c1fe14244fd7321e3d740941a36aa545ec21b02325e7553c9214778a
+ sha256sums = 333b6fd864d55da2077bc85c55af1a27d4aee9764a1a839df26873a9f19b8703
sha256sums = 6249892f99ffd960e36f43fb893c14e2f8e4dd1d901b9581d25882e865f2603f
pkgname = blender-git
diff --git a/PKGBUILD b/PKGBUILD
index 85161cb0184..5f0505f3bca 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -29,7 +29,7 @@ depends+=('alembic' 'embree' 'libgl' 'python' 'python-numpy' 'openjpeg2' 'libhar
'openvdb' 'opencollada' 'opensubdiv' 'openshadinglanguage-qfix' 'libtiff' 'libpng')
optdepends=('cuda: CUDA support in Cycles'
'optix=7.1.0: OptiX support in Cycles'
- 'usd=20.05: USD export Scene'
+ 'usd=21.02: USD export Scene'
'openimagedenoise: Intel Open Image Denoise support in compositing')
makedepends=('git' 'cmake' 'boost' 'mesa' 'ninja' 'llvm')
provides=('blender')
@@ -53,7 +53,7 @@ sha256sums=('SKIP'
'SKIP'
'SKIP'
'SKIP'
- '12bd6db5c1fe14244fd7321e3d740941a36aa545ec21b02325e7553c9214778a'
+ '333b6fd864d55da2077bc85c55af1a27d4aee9764a1a839df26873a9f19b8703'
'6249892f99ffd960e36f43fb893c14e2f8e4dd1d901b9581d25882e865f2603f')
pkgver() {
@@ -99,7 +99,7 @@ build() {
fi
# check for universal scene descriptor
- _USD_PKG=`pacman -Qq usd=20.05 2>/dev/null` || true
+ _USD_PKG=`pacman -Qq usd=21.02 2>/dev/null` || true
if [ "$_USD_PKG" != "" ]; then
_CMAKE_FLAGS+=( -DWITH_USD=ON
-DUSD_ROOT=/usr )
diff --git a/usd_python.patch b/usd_python.patch
index a72d75cd6f0..8cf7e8fcbbd 100644
--- a/usd_python.patch
+++ b/usd_python.patch
@@ -7,7 +7,7 @@ index ac570f17e47..505aa97934c 100644
list(APPEND __boost_packages iostreams)
endif()
+ if(WITH_USD)
-+ list(APPEND __boost_packages python27)
++ list(APPEND __boost_packages python)
+ endif()
list(APPEND __boost_packages system)
find_package(Boost 1.48 COMPONENTS ${__boost_packages})